> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nebius.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get



## OpenAPI

````yaml https://api.nebius.cloud/openapi.json get /storage/v1/transfers/{id}
openapi: 3.0.3
info:
  title: Nebius API
  version: version not set
servers:
  - url: https://api.nebius.cloud
security:
  - bearerAuth: []
tags:
  - name: nebius.ai.v1.EndpointService
  - name: nebius.ai.v1.JobService
  - name: nebius.applications.v1alpha1.K8sReleaseService
  - name: nebius.audit.v2.AuditEventExportService
  - name: nebius.audit.v2.AuditEventService
  - name: nebius.billing.v1.CalculatorService
  - name: nebius.billing.v1alpha1.CalculatorService
  - name: nebius.billing.v1alpha1.OneTimeExportService
  - name: nebius.capacity.v1.CapacityAllowanceService
  - name: nebius.capacity.v1.CapacityBlockGroupService
  - name: nebius.capacity.v1.CapacityIntervalService
  - name: nebius.capacity.v1.ResourceAdviceService
  - name: nebius.compute.v1.DiskService
  - name: nebius.compute.v1.DiskSnapshotService
  - name: nebius.compute.v1.FilesystemService
  - name: nebius.compute.v1.GpuClusterService
  - name: nebius.compute.v1.ImageService
  - name: nebius.compute.v1.InstanceService
  - name: nebius.compute.v1.MaintenanceService
  - name: nebius.compute.v1.NVLInstanceGroupService
  - name: nebius.compute.v1.NodeService
  - name: nebius.compute.v1.PlatformService
  - name: nebius.dns.v1.RecordService
  - name: nebius.dns.v1.ZoneService
  - name: nebius.iam.v1.AccessKeyService
  - name: nebius.iam.v1.AccessPermitService
  - name: nebius.iam.v1.AuthPublicKeyService
  - name: nebius.iam.v1.FederatedCredentialsService
  - name: nebius.iam.v1.FederationCertificateService
  - name: nebius.iam.v1.FederationService
  - name: nebius.iam.v1.GroupMembershipService
  - name: nebius.iam.v1.GroupService
  - name: nebius.iam.v1.InvitationService
  - name: nebius.iam.v1.ProfileService
  - name: nebius.iam.v1.ProjectService
  - name: nebius.iam.v1.ServiceAccountService
  - name: nebius.iam.v1.SessionManagementService
  - name: nebius.iam.v1.StaticKeyService
  - name: nebius.iam.v1.TenantService
  - name: nebius.iam.v1.TenantUserAccountService
  - name: nebius.iam.v1.TenantUserAccountWithAttributesService
  - name: nebius.iam.v2.AccessKeyService
  - name: nebius.iam.v2.ProjectService
  - name: nebius.iam.v2.TenantService
  - name: nebius.kms.v1.AsymmetricCryptoService
  - name: nebius.kms.v1.AsymmetricKeyService
  - name: nebius.kms.v1.SymmetricCryptoService
  - name: nebius.kms.v1.SymmetricKeyService
  - name: nebius.logging.agentmanager.v1.VersionService
  - name: nebius.logging.v1.LogExportService
  - name: nebius.maintenance.v1alpha1.MaintenanceService
  - name: nebius.mk8s.v1.ClusterService
  - name: nebius.mk8s.v1.NodeGroupService
  - name: nebius.mk8s.v1alpha1.ClusterService
  - name: nebius.mk8s.v1alpha1.NodeGroupService
  - name: nebius.msp.mlflow.v1alpha1.ClusterService
  - name: nebius.msp.postgresql.v1alpha1.BackupService
  - name: nebius.msp.postgresql.v1alpha1.ClusterService
  - name: nebius.mysterybox.v1.PayloadService
  - name: nebius.mysterybox.v1.SecretService
  - name: nebius.mysterybox.v1.SecretVersionService
  - name: nebius.quotas.v1.QuotaAllowanceService
  - name: nebius.registry.v1.ArtifactService
  - name: nebius.registry.v1.RegistryService
  - name: nebius.storage.v1.BucketService
  - name: nebius.storage.v1.TransferService
  - name: nebius.storage.v1alpha1.TransferService
  - name: nebius.tunnel.v1.TunnelService
  - name: nebius.vpc.v1.AllocationService
  - name: nebius.vpc.v1.NetworkService
  - name: nebius.vpc.v1.PoolService
  - name: nebius.vpc.v1.RouteService
  - name: nebius.vpc.v1.RouteTableService
  - name: nebius.vpc.v1.SecurityGroupService
  - name: nebius.vpc.v1.SecurityRuleService
  - name: nebius.vpc.v1.SubnetService
  - name: nebius.vpc.v1.TargetGroupService
  - name: nebius.vpc.v1alpha1.AllocationService
  - name: nebius.vpc.v1alpha1.NetworkService
  - name: nebius.vpc.v1alpha1.PoolService
  - name: nebius.vpc.v1alpha1.ScopeService
  - name: nebius.vpc.v1alpha1.SubnetService
paths:
  /storage/v1/transfers/{id}:
    get:
      tags:
        - nebius.storage.v1.TransferService
      summary: Get
      operationId: TransferService_Get
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/storageV1Transfer'
          description: A successful response.
components:
  schemas:
    storageV1Transfer:
      description: >-
        Transfer that migrates data from other providers or across different
        regions of Nebius Object Storage.

        Transfer consists of consecutive iterations where the service lists
        objects in the source bucket and

        moves those that need to be transferred according to the specified
        overwrite strategy and touch unmanaged flag value.

        If the enable deletes in destination flag is set, the service also lists
        destination bucket and deletes

        objects which do not exist in the source bucket according to the touch
        unmanaged flag value.

        After an iteration completes, the transfer will stop if its stop
        condition is met. Otherwise,

        it will wait for the defined inter-iteration interval before starting
        the next iteration.
      properties:
        metadata:
          $ref: '#/components/schemas/commonV1ResourceMetadata'
        spec:
          $ref: '#/components/schemas/storageV1TransferSpec'
        status:
          $ref: '#/components/schemas/storageV1TransferStatus'
      type: object
    commonV1ResourceMetadata:
      description: Common resource metadata.
      properties:
        createdAt:
          description: Timestamp indicating when the resource was created.
          format: date-time
          readOnly: true
          type: string
        id:
          description: Identifier for the resource, unique for its resource type.
          type: string
        labels:
          additionalProperties:
            type: string
          description: Labels associated with the resource.
          type: object
        name:
          description: Human readable name for the resource.
          type: string
        parentId:
          description: Identifier of the parent resource to which the resource belongs.
          type: string
        resourceVersion:
          description: >-
            Version of the resource for safe concurrent modifications and
            consistent reads.

            Positive and monotonically increases on each resource spec change
            (but *not* on each change of the

            resource's container(s) or status).

            Service allows zero value or current.
          format: int64
          type: string
        updatedAt:
          description: Timestamp indicating when the resource was last updated.
          format: date-time
          readOnly: true
          type: string
      required:
        - parentId
      type: object
    storageV1TransferSpec:
      properties:
        afterNEmptyIterations:
          $ref: >-
            #/components/schemas/storageV1TransferSpecStopConditionAfterNEmptyIterations
        afterOneIteration:
          $ref: >-
            #/components/schemas/storageV1TransferSpecStopConditionAfterOneIteration
        destination:
          $ref: '#/components/schemas/v1TransferDestination'
        enableDeletesInDestination:
          description: >-
            If enable_deletes_in_destination flag is set, service will delete
            objects that exist in destination, but don't exist in source.

            If touch_unmanaged flag isn't set, we do not delete objects that
            haven't been created by Data Transfer service.
          type: boolean
        infinite:
          $ref: '#/components/schemas/storageV1TransferSpecStopConditionInfinite'
        interIterationInterval:
          description: >-
            The time to wait since the previous iteration before starting the
            next one.

            Default is 15 minutes if not specified.
          type: string
        limiters:
          $ref: '#/components/schemas/storageV1TransferSpecLimiters'
        overwriteStrategy:
          $ref: '#/components/schemas/storageV1TransferSpecOverwriteStrategy'
        source:
          $ref: '#/components/schemas/v1TransferSource'
        touchUnmanaged:
          description: >-
            If touch_unmanaged flag is set, service will be allowed to overwrite
            and delete from destination objects that were not

            created by Data Transfer Service. If this flag is false, Data
            Transfer Service will never overwrite or delete objects

            that haven't been created by Data Transfer service.
          type: boolean
      required:
        - source
        - destination
        - overwriteStrategy
      type: object
    storageV1TransferStatus:
      properties:
        error:
          $ref: '#/components/schemas/v1TransferError'
        lastIteration:
          $ref: '#/components/schemas/storageV1TransferIteration'
        state:
          $ref: '#/components/schemas/storageV1TransferStatusState'
        suspensionState:
          $ref: '#/components/schemas/storageV1TransferStatusSuspensionState'
      type: object
    storageV1TransferSpecStopConditionAfterNEmptyIterations:
      properties:
        emptyIterationsThreshold:
          description: >-
            Number of consecutive iterations with zero transferred objects
            required to stop transfer.
          format: int64
          type: integer
      required:
        - emptyIterationsThreshold
      type: object
    storageV1TransferSpecStopConditionAfterOneIteration:
      type: object
    v1TransferDestination:
      properties:
        nebius:
          $ref: '#/components/schemas/v1TransferDestinationNebiusProvider'
        prefix:
          description: >-
            Prefix to add to the beginning of each transferred object key in the
            destination.

            During transfer, the resulting object key in the destination is
            computed

            by removing source.prefix (if provided) from the original key and
            then prepending destination.prefix.

            Important: This transformation may result in an empty object key or
            one that exceeds allowed length limits.

            Use prefixes that guarantee valid resulting object keys for your
            objects after transformation.
          type: string
        s3Compatible:
          $ref: '#/components/schemas/v1TransferDestinationS3CompatibleProvider'
      type: object
    storageV1TransferSpecStopConditionInfinite:
      type: object
    storageV1TransferSpecLimiters:
      properties:
        bandwidthBytesPerSecond:
          description: >-
            Maximum bandwidth in bytes per second. If set to zero, default limit
            will be applied.
          format: uint64
          type: string
        requestsPerSecond:
          description: >-
            Maximum number of requests per second. If set to zero, default limit
            will be applied.
          format: uint64
          type: string
      type: object
    storageV1TransferSpecOverwriteStrategy:
      default: OVERWRITE_STRATEGY_UNSPECIFIED
      description: >2-
         - NEVER: Never overwrite objects that exist in the destination.
        If object exists in destination bucket, skip it.

        Safest option to prevent any data loss.
         - IF_NEWER: Overwrite only if source object is newer than destination.
        Comparison based on Last-Modified timestamp.

        Recommended for incremental sync scenarios.

        If touch_unmanaged flag isn't set, we do not overwrite objects that
        haven't been created by Data Transfer service.
      enum:
        - OVERWRITE_STRATEGY_UNSPECIFIED
        - NEVER
        - IF_NEWER
      type: string
    v1TransferSource:
      properties:
        azureBlobStorage:
          $ref: '#/components/schemas/TransferSourceAzureBlobStorageProvider'
        nebius:
          $ref: '#/components/schemas/v1TransferSourceNebiusProvider'
        prefix:
          description: >-
            Prefix to filter objects in the source. Only objects whose keys
            start with this prefix will be transferred.

            During transfer, the resulting object key in the destination is
            computed

            by removing source.prefix from the original key and then prepending
            destination.prefix (if provided).

            Important: This transformation may result in an empty object key or
            one that exceeds allowed length limits.

            Use prefixes that guarantee valid resulting object keys for your
            objects after transformation.
          type: string
        s3Compatible:
          $ref: '#/components/schemas/v1TransferSourceS3CompatibleProvider'
      type: object
    v1TransferError:
      properties:
        code:
          description: Error code, usually taken from the endpoint response.
          type: string
        message:
          description: Error message, usually taken from the endpoint response.
          type: string
        origin:
          $ref: '#/components/schemas/TransferErrorOrigin'
      type: object
    storageV1TransferIteration:
      properties:
        averageThroughputBytes:
          description: Average throughput in bytes per second during the iteration.
          format: int64
          type: string
        endTime:
          description: Iteration end time.
          format: date-time
          type: string
        error:
          $ref: '#/components/schemas/v1TransferError'
        objectsDeletedCount:
          description: >-
            Number of objects deleted from destination bucket during this
            iteration.
          format: int64
          type: string
        objectsTransferredCount:
          description: Number of objects transferred during this iteration.
          format: int64
          type: string
        objectsTransferredSize:
          description: Total size of objects transferred during this iteration.
          format: int64
          type: string
        sequenceNumber:
          description: Sequence number of the iteration in the transfer, starting from 1.
          format: int64
          type: string
        startTime:
          description: Iteration start time.
          format: date-time
          type: string
        state:
          $ref: '#/components/schemas/storageV1TransferIterationState'
      type: object
    storageV1TransferStatusState:
      default: STATE_UNSPECIFIED
      description: Transfer state.
      enum:
        - STATE_UNSPECIFIED
        - ACTIVE
        - STOPPING
        - STOPPED
        - FAILING
        - FAILED
        - DELETING
      type: string
    storageV1TransferStatusSuspensionState:
      default: SUSPENSION_STATE_UNSPECIFIED
      description: Transfer suspension state.
      enum:
        - SUSPENSION_STATE_UNSPECIFIED
        - NOT_SUSPENDED
        - SUSPENDED
      type: string
    v1TransferDestinationNebiusProvider:
      properties:
        accessKey:
          $ref: '#/components/schemas/v1TransferCredentialsAccessKey'
        bucketName:
          description: Name of the destination bucket.
          type: string
        region:
          description: Nebius region where the destination bucket is located.
          type: string
      required:
        - region
        - bucketName
      type: object
    v1TransferDestinationS3CompatibleProvider:
      properties:
        accessKey:
          $ref: '#/components/schemas/v1TransferCredentialsAccessKey'
        anonymous:
          $ref: '#/components/schemas/v1TransferCredentialsAnonymous'
        bucketName:
          description: Name of the destination bucket.
          type: string
        endpoint:
          description: >-
            The endpoint must be in the form of a URL, starting with the
            protocol (https),

            followed by the endpoint address without a trailing slash.

            Example: "https://storage.some-cloud".
          type: string
        region:
          description: S3-compatible provider region where destination bucket is located.
          type: string
      required:
        - endpoint
        - region
        - bucketName
      type: object
    TransferSourceAzureBlobStorageProvider:
      properties:
        anonymous:
          $ref: '#/components/schemas/v1TransferCredentialsAnonymous'
        azureStorageAccount:
          $ref: '#/components/schemas/v1TransferCredentialsAzureStorageAccount'
        containerName:
          description: Name of the source Azure Blob Storage container.
          type: string
        endpoint:
          description: >-
            The endpoint must be in the form of a URL, starting with the
            protocol (https),

            followed by the endpoint address without a trailing slash.

            Example: "https://storageaccountname.blob.core.windows.net".
          type: string
      required:
        - endpoint
        - containerName
      type: object
    v1TransferSourceNebiusProvider:
      properties:
        accessKey:
          $ref: '#/components/schemas/v1TransferCredentialsAccessKey'
        anonymous:
          $ref: '#/components/schemas/v1TransferCredentialsAnonymous'
        bucketName:
          description: Name of the source bucket.
          type: string
        region:
          description: Nebius region where the source bucket is located.
          type: string
      required:
        - region
        - bucketName
      type: object
    v1TransferSourceS3CompatibleProvider:
      properties:
        accessKey:
          $ref: '#/components/schemas/v1TransferCredentialsAccessKey'
        anonymous:
          $ref: '#/components/schemas/v1TransferCredentialsAnonymous'
        bucketName:
          description: Name of the source bucket.
          type: string
        endpoint:
          description: >-
            The endpoint must be in the form of a URL, starting with the
            protocol (https),

            followed by the endpoint address without a trailing slash.

            Example: "https://storage.some-cloud".
          type: string
        region:
          description: S3-compatible provider region where source bucket is located.
          type: string
      required:
        - endpoint
        - region
        - bucketName
      type: object
    TransferErrorOrigin:
      default: ORIGIN_UNSPECIFIED
      description: |2-
         - SOURCE: Error originated from the source.
         - DESTINATION: Error originated from the destination.
      enum:
        - ORIGIN_UNSPECIFIED
        - SOURCE
        - DESTINATION
      type: string
    storageV1TransferIterationState:
      default: STATE_UNSPECIFIED
      description: Iteration state.
      enum:
        - STATE_UNSPECIFIED
        - IN_PROGRESS
        - COMPLETED
        - INTERRUPTED
        - FAILED
      type: string
    v1TransferCredentialsAccessKey:
      properties:
        accessKeyId:
          description: Access key ID.
          type: string
        secretAccessKey:
          description: Secret access key.
          type: string
      required:
        - accessKeyId
      type: object
    v1TransferCredentialsAnonymous:
      type: object
    v1TransferCredentialsAzureStorageAccount:
      properties:
        accessKey:
          description: Storage account access key.
          type: string
        accountName:
          description: Storage account name.
          type: string
      required:
        - accountName
      type: object
  securitySchemes:
    bearerAuth:
      description: The Authorization header expects a Bearer token.
      scheme: bearer
      type: http

````